package com.engine.kq.service;

import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

public interface KQScheduleCodeService {

	/**
	 * 获取考勤编号管理查询条件
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getScheduleCodeCondition(Map<String, Object> params, User user);

	/**
	 * 获取考勤编号管理查询列表
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getScheduleCodeList(Map<String, Object> params, User user);

	/**
	 * 获取考勤编号管理表单
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getScheduleCodeForm(Map<String, Object> params, User user);

	/**
	 * 保存考勤编号管理
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> saveScheduleCode(Map<String, Object> params, User user);

	/**
	 * 获取考勤机管理查询条件
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getScheduleDeviceCondition(Map<String, Object> params, User user);

	/**
	 * 获取考勤机管理查询列表
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getScheduleDeviceList(Map<String, Object> params, User user);

	/**
	 * 获取考勤机管理表单
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getScheduleDeviceForm(Map<String, Object> params, User user);

	/**
	 * 保存考勤机管理
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> saveScheduleDevice(Map<String, Object> params, User user);

	/**
	 * 删除考勤机
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> delScheduleDevice(Map<String, Object> params, User user);

	/**
	 * 获取考勤编号管理导入表单
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getScheduleCodeImportForm(Map<String, Object> params, User user);

	/**
	 * 保存考勤编号管理导入
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> saveScheduleCodeImport(Map<String, Object> params, User user, HttpServletRequest request);
}
